import { StateCommand } from "@codemirror/state";
import { KeyBinding } from "@codemirror/view";
/**
 * This is modeled after the CodeMirror Markdown mode's
 * ability to continue lists and blockquotes. It's meant to be bound
 * to the "Enter" keybinding with Prec.high: there are many cases
 * where this will "fall through", do nothing, and allow the next
 * keybinding to handle.
 */
export declare const insertNewlineContinueComment: StateCommand;
/**
 * When someone has created the final line of a block comment and
 * they hit /, we should _delete_ the space between the * and /
 * for convenience.
 */
export declare const maybeCloseBlockComment: StateCommand;
/**
 * Keymap to use to enable this extra behavior.
 *
 * Example of what you would put in your extensions array.
 *
 * ```ts
 * Prec.high(keymap.of(continueKeymap)),
 * ```
 */
export declare const continueKeymap: readonly KeyBinding[];
//# sourceMappingURL=index.d.ts.map